Beefy Boxes and Bandwidth Generously Provided by pair Networks Joe
Don't ask to ask, just ask
 
PerlMonks  

Re^2: How to Communicate with linux from windows

by Rahul Gupta (Sexton)
on May 05, 2013 at 06:21 UTC ( #1032106=note: print w/ replies, xml ) Need Help??


in reply to Re: How to Communicate with linux from windows
in thread How to Communicate with linux from windows

Hi,

I am using perl 5.14.2. and trying to install Net-SSH-Expect-1.09 module on windows machine.

What i am trying to do is, i want to write a script which connects to linux machine from windows and where i can send any command like (ls, who , ps, or any command).

problem: when i am installing Net-SSH-Expect-1.09 module on windows. i am getting some warnings.

So please help me what should i do to resolve this problem.

thanks in advance


Comment on Re^2: How to Communicate with linux from windows
Select or Download Code
Re^3: How to Communicate with linux from windows
by dorward (Curate) on May 05, 2013 at 13:15 UTC
    when i am installing Net-SSH-Expect-1.09 module on windows

    How are you trying to install it?

    What Perl distribution are you using?

    i am getting some warnings.

    What warnings?

Re^3: How to Communicate with linux from windows
by Anneq (Vicar) on May 05, 2013 at 16:33 UTC

    Rahul,

    When asked what version of perl you are using, besides the version number, it would be helpful to know the flavour, like Cygwin, Strawberry, ActiveState, etc. Do any of these sound familiar to you? Its important to know this because then the other people who are using what you are using can help you better.

    It would also be helpful to know what you have tried. For example, did you type one of the following:

     $ cpan

    or

     $ ppm

    to install modules? Or, perhaps, did you use a GUI?

    You stated that you are getting some warnings. We would like to help you but can't unless you tell us what warnings you encountered.

    Anne

      Hi Anne,

      I am using ActiveState perl

      I have tried following commands.

      ppm install Net-SSH-Expect-1.09

      getting error

      Downloading ActiveState Package Repository packlist...done Updating ActiveState Package Repository database...done ppm install failed: Can't find any package that provides Net-SSH-Expec +t-1.09

        Hi Rahul,

        It appears that Net::SSH::Expect is not supported for any version of perl on ActiveState.

        It might work under cygwin. Or you might want to consider using the modules suggested by salva?

        Anne

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1032106]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others browsing the Monastery: (6)
As of 2014-04-19 13:06 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    April first is:







    Results (480 votes), past polls